export type * from './src/types'
export * from './src/hook'

export { default as ToolBoxWidget } from './src/ToolBox.vue'

/**
 * 工具箱组件
 *
 * 说明: 用于展示地图上的右侧的工具箱，支持的组件有: Select、Filter、Button 之类的实现
 *
 * 可以应用到的一些模块:（基于已有蓝湖设计稿评估，仅供参考）
 * 所有需要用到工具箱的场景，实况、预报，以及部分需要使用 AffixFilter 的场景，也可以考虑并入到工具箱中
 *
 */
