import type { BasicMapPage } from '@/components/Map/types'

export interface Page extends BasicMapPage {
    /**
     * 接口查询参数
     */
    query?: {
        /**
         * 注入的变量，请求时不会传递，仅用于注入。
         * 在 setGeoJSONSourceForRequest 的 handler 中可以实现替换字符串模板的功能。
         */
        inject?: Recordable
    }
    /**
     * 过滤条件
     */
    filter?: Recordable
}
